curl --request GET \
--url https://{api_endpoint}/api/v1/applications/skills \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill_id": "<string>",
"artifact_name": "<string>",
"routing_description": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "<string>",
"artifact_type": "SKILL",
"description": "<string>",
"icon": "<string>",
"group_name": "<string>"
}
],
"total": 123,
"offset": 123,
"limit": 123
}This operation will no longer be available after 2025-04-30 and will be discontinued in upcoming weeks due to the deprecation of the direct use of apps and skills in the AI agent. Use tools to complete specific tasks through agents.
curl --request GET \
--url https://{api_endpoint}/api/v1/applications/skills \
--header 'Authorization: Bearer <token>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"skill_id": "<string>",
"artifact_name": "<string>",
"routing_description": "<string>",
"group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant_id": "<string>",
"artifact_type": "SKILL",
"description": "<string>",
"icon": "<string>",
"group_name": "<string>"
}
],
"total": 123,
"offset": 123,
"limit": 123
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
x >= 01 <= x <= 10050Successful Response
List of items fetched in the current page
Show child attributes
Total number of items available across all pages
The offset from which the items are fetched in the current page
Number of items to be fetched per page